import { Authlete } from "@authlete/typescript-sdk";
const authlete = new Authlete({
bearer: process.env["AUTHLETE_BEARER"] ?? "",
});
async function run() {
const result = await authlete.verifiableCredentials.getJwks({
serviceId: "<id>",
vciJwksRequest: {
pretty: false,
},
});
console.log(result);
}
run();require 'authlete_ruby_sdk'
Models = ::Authlete::Models
s = ::Authlete::Client.new(
bearer: '<YOUR_BEARER_TOKEN_HERE>'
)
res = s.verifiable_credentials.jwks(service_id: '<id>', vci_jwks_request: Models::Components::VciJwksRequest.new(
pretty: false
))
unless res.vci_jwks_response.nil?
# handle response
endpackage main
import(
"context"
"os"
authlete "github.com/authlete/authlete-go-sdk"
"github.com/authlete/authlete-go-sdk/models/components"
"log"
)
func main() {
ctx := context.Background()
s := authlete.New(
authlete.WithSecurity(os.Getenv("AUTHLETE_BEARER")),
)
res, err := s.VerifiableCredentials.GetJwks(ctx, "<id>", components.VciJwksRequest{
Pretty: false,
})
if err != nil {
log.Fatal(err)
}
if res.VciJwksResponse != nil {
// handle response
}
}curl --request POST \
--url https://us.authlete.com/api/{serviceId}/vci/jwks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"pretty": true
}'{
"resultCode": "<string>",
"resultMessage": "<string>",
"action": "OK",
"responseContent": "<string>"
}{
"resultCode": "A001201",
"resultMessage": "[A001201] /auth/authorization, TLS must be used."
}{
"resultCode": "A001202",
"resultMessage": "[A001202] /auth/authorization, Authorization header is missing."
}{
"resultCode": "A001215",
"resultMessage": "[A001215] /auth/authorization, The client (ID = 26837717140341) is locked."
}{
"resultCode": "A001311",
"resultMessage": "[A001311] /auth/authorization, Too many requests, retry after 1 seconds. (Entity: 23769878923/87122303)"
}{
"resultCode": "A001101",
"resultMessage": "[A001101] /auth/authorization, Authlete Server error."
}Get JSON Web Key Set
Get JSON Web Key Set for VCI
import { Authlete } from "@authlete/typescript-sdk";
const authlete = new Authlete({
bearer: process.env["AUTHLETE_BEARER"] ?? "",
});
async function run() {
const result = await authlete.verifiableCredentials.getJwks({
serviceId: "<id>",
vciJwksRequest: {
pretty: false,
},
});
console.log(result);
}
run();require 'authlete_ruby_sdk'
Models = ::Authlete::Models
s = ::Authlete::Client.new(
bearer: '<YOUR_BEARER_TOKEN_HERE>'
)
res = s.verifiable_credentials.jwks(service_id: '<id>', vci_jwks_request: Models::Components::VciJwksRequest.new(
pretty: false
))
unless res.vci_jwks_response.nil?
# handle response
endpackage main
import(
"context"
"os"
authlete "github.com/authlete/authlete-go-sdk"
"github.com/authlete/authlete-go-sdk/models/components"
"log"
)
func main() {
ctx := context.Background()
s := authlete.New(
authlete.WithSecurity(os.Getenv("AUTHLETE_BEARER")),
)
res, err := s.VerifiableCredentials.GetJwks(ctx, "<id>", components.VciJwksRequest{
Pretty: false,
})
if err != nil {
log.Fatal(err)
}
if res.VciJwksResponse != nil {
// handle response
}
}curl --request POST \
--url https://us.authlete.com/api/{serviceId}/vci/jwks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"pretty": true
}'{
"resultCode": "<string>",
"resultMessage": "<string>",
"action": "OK",
"responseContent": "<string>"
}{
"resultCode": "A001201",
"resultMessage": "[A001201] /auth/authorization, TLS must be used."
}{
"resultCode": "A001202",
"resultMessage": "[A001202] /auth/authorization, Authorization header is missing."
}{
"resultCode": "A001215",
"resultMessage": "[A001215] /auth/authorization, The client (ID = 26837717140341) is locked."
}{
"resultCode": "A001311",
"resultMessage": "[A001311] /auth/authorization, Too many requests, retry after 1 seconds. (Entity: 23769878923/87122303)"
}{
"resultCode": "A001101",
"resultMessage": "[A001101] /auth/authorization, Authlete Server error."
}Authorizations
Authenticate every request with a Service Access Token or Organization Token.
Set the token value in the Authorization: Bearer <token> header.
Service Access Token: Scoped to a single service. Use when automating service-level configuration or runtime flows.
Organization Token: Scoped to the organization; inherits permissions across services. Use for org-wide automation or when managing multiple services programmatically.
Both token types are issued by the Authlete console or provisioning APIs.
Path Parameters
A service ID.
Body
The flag indicating whether the metadata is written in the pretty format or not.
Response
The code which represents the result of the API call.
A short message which explains the result of the API call.
The next action that the implementation of the JWK Set document
endpoint of the credential issuer should take after getting a
response from Authlete's /vci/jwks API.
OK, NOT_FOUND, INTERNAL_SERVER_ERROR Get the content that the implementation of the credential issuer metadata endpoint should use when it constructs a response.